Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Accept_QoS_Params Class Reference

Wrapper class that simplifies the information passed to the QoS enabled <ACE_OS::accept> method. More...

`#include <OS_QoS.h>`

List of all members.

## Public Methods
| ACE_Accept_QoS_Params (ACE_QOS_CONDITION_FUNC qos_condition_callback=0, unsigned long callback_data=0)
ACE_QOS_CONDITION_FUNC | qos_condition_callback (void) const
| Get QoS condition callback.
void | qos_condition_callback (ACE_QOS_CONDITION_FUNC qcc)
| Set QoS condition callback.
unsigned long | callback_data (void) const
| Get callback data.
void | callback_data (unsigned long cd)
| Set callback data.
## Private Attributes
ACE_QOS_CONDITION_FUNC | qos_condition_callback_
unsigned long | callback_data_

## Detailed Description

Wrapper class that simplifies the information passed to the QoS enabled <ACE_OS::accept> method.

## Constructor & Destructor Documentation

ACE_Accept_QoS_Params::ACE_Accept_QoS_Params | ( | ACE_QOS_CONDITION_FUNC | qos_condition_callback = 0,
|  | unsigned long | callback_data = 0
| ) |

| Initialize the data members. The <qos_condition_callback> is the address of an optional, application-supplied condition function that will make an accept/reject decision based on the caller information pass in as parameters, and optionally create or join a socket group by assinging an appropriate value to the result parameter <g> of this function. The <callback_data> data is passed back to the application as a condition function parameter, i.e., it is an Asynchronous Completion Token (ACT).

## Member Function Documentation

void ACE_Accept_QoS_Params::callback_data | ( | unsigned long | cd | ) |

| Set callback data.

unsigned long ACE_Accept_QoS_Params::callback_data | ( | void |  | ) | const

| Get callback data.

void ACE_Accept_QoS_Params::qos_condition_callback | ( | ACE_QOS_CONDITION_FUNC | qcc | ) |

| Set QoS condition callback.

ACE_QOS_CONDITION_FUNC ACE_Accept_QoS_Params::qos_condition_callback | ( | void |  | ) | const

| Get QoS condition callback.

## Member Data Documentation

unsigned long ACE_Accept_QoS_Params::callback_data_`[private]`

| This data is passed back to the application as a condition function parameter, i.e., it is an Asynchronous Completion Token (ACT).

ACE_QOS_CONDITION_FUNC ACE_Accept_QoS_Params::qos_condition_callback_`[private]`

| This is the address of an optional, application-supplied condition function that will make an accept/reject decision based on the caller information pass in as parameters, and optionally create or join a socket group by assinging an appropriate value to the result parameter <g> of this function.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/OS_QoS.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/OS_QoS.cpp